IF OBJECT_ID('[PackagePromotions_Extended]') IS NOT NULL DROP VIEW [PackagePromotions_Extended]
GO

CREATE VIEW [PackagePromotions_Extended]
AS
	SELECT  [PackagePromotion_Id]
           ,[Package_Name] 
           ,[Group_Name] 
           ,[Version_Text]
           ,[New_Version_Text]
           ,[From_Feed_Id]
           ,[From_Feed_Name] = FROM_FEED.[Feed_Name]
           ,[From_FeedType_Name] = FROM_FEED.[FeedType_Name]
           ,[To_Feed_Id] 
           ,[To_Feed_Name] = TO_FEED.[Feed_Name]
           ,[Promoted_Date]
           ,[PromotedBy_User_Name]
           ,[Comments_Text]
    
    FROM [PackagePromotions] P

    INNER JOIN [Feeds] TO_FEED ON TO_FEED.[Feed_Id] = P.[To_Feed_Id]
    INNER JOIN [Feeds] FROM_FEED ON FROM_FEED.[Feed_Id] = P.[From_Feed_Id]

GO 