EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'AssessmentTypes_GetAssessmentTypes',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'AssessmentTypes',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the assessment types.'
GO

IF OBJECT_ID('[AssessmentTypes_GetAssessmentTypes]') IS NOT NULL DROP PROCEDURE [AssessmentTypes_GetAssessmentTypes]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [AssessmentTypes_GetAssessmentTypes]
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [AssessmentTypes]

END
GO

GRANT EXECUTE ON [AssessmentTypes_GetAssessmentTypes] TO [ProGetUser_Role]
GO